<?php
namespace App\Models;
use App\Models\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 *  @description 单项分类
 *  @author  system;
 *  @version    1.0
 *  @date 2018-09-06 03:28:03
 *
 */
class MedicalSingleCateModel extends BaseModel
{
    use SoftDeletes;
    protected $dates = ['delete_at'];
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'medical_single_cate';
    /**
    主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
                           'name',
                           'sort'
                          ];

}