@extends('admin.layout')

@section('content')
<div class="row">
    <div class="ibox-content">
        <div class="list-group">
               <div class="list-group-item">
                                                  
                   <h3 class="list-group-item-heading">单项</h3>
                                                   
                   <p class="list-group-item-text"> {{ $str or ''}}</p>
                                                 
               </div>                     
               <div class="list-group-item">
                                                  
                   <h3 class="list-group-item-heading">套餐</h3>
                                                   
                   {{--<p class="list-group-item-text"> {{ $data['combo'] or ''}}</p>--}}
                   @if(!empty($data['combo'])&&isset($data['combo']))
                   @foreach($data['combo'] as $combo)
                       <h4>{{$combo->name}}</h4>
                       <div>{{htmlspecialchars_decode($combo->content)}}</div>
                   @endforeach
                   @endif
               </div>                     
               <div class="list-group-item">
                                                  
                   <h3 class="list-group-item-heading">总价</h3>
                                                   
                   <p class="list-group-item-text"> {{ $data['total_price'] or ''}}</p>
                                                 
               </div>
            <div class="list-group-item">

                <h3 class="list-group-item-heading">样本类型</h3>

                <p class="list-group-item-text"> {{ $data['sample_type'] or ''}}</p>

            </div>
            <div class="list-group-item">
                                                  
                   <h3 class="list-group-item-heading">条形码</h3>
                                                   
                   <p class="list-group-item-text"> {{ $data['code'] or ''}}</p>
                                                 
               </div>                     
               <div class="list-group-item">
                                                  
                   <h3 class="list-group-item-heading">备注</h3>
                                                   
                   <p class="list-group-item-text"> {{ $data['comment'] or ''}}</p>
                                                 
               </div>
        </div>
    </div>
</div>
@endsection